#
# spec file for package yast2-rdp
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           yast2-rdp
Version:        5.0.0
Release:        1.4
License:        GPL-2.0-only
Group:          System/YaST
Summary:        Setup Remote Desktop Protocol service for remote administration
URL:            https://github.com/yast/yast-rdp

Source0:        %{name}-%{version}.tar.bz2

# SuSEFirewall2 replaced by firewalld (fate#323460)
BuildRequires:  yast2 >= 4.0.39
BuildRequires:  update-desktop-files
BuildRequires:  yast2-devtools >= 4.2.2
# for install task
BuildRequires:  rubygem(%rb_default_ruby_abi:yast-rake)
# for test:unit
BuildRequires:  rubygem(%rb_default_ruby_abi:rspec)

# SuSEFirewall2 replaced by firewalld (fate#323460)
Requires:       yast2 >= 4.0.39
Requires:       yast2-ruby-bindings

BuildArch:      noarch

%description
Configure RDP (remote desktop protocol) daemon to allow remote system administration.

%prep
%setup -q

%check
%yast_check

%build

%install
%yast_install
%yast_metainfo

%files
%{yast_yncludedir}
%{yast_clientdir}
%{yast_moduledir}
%{yast_desktopdir}
%{yast_metainfodir}
%{yast_icondir}
%license COPYING
%doc %{yast_docdir}

%changelog
* Wed Aug 30 2023 Josef Reidinger <jreidinger@suse.cz>
- 5.0.0 (bsc#1185510)
* Fri Mar  3 2023 Ladislav Slezák <lslezak@suse.cz>
- Bump version to 4.6.0 (bsc#1208913)
* Wed Apr  6 2022 Ladislav Slezák <lslezak@suse.cz>
- Bump version to 4.5.0 (bsc#1198109)
* Tue Apr 20 2021 Ladislav Slezák <lslezak@suse.cz>
- 4.4.0 (bsc#1185510)
* Mon Jul 22 2019 knut.anderssen@suse.com
- Remove network dependency completely (bsc#1142282)
- 4.2.1
* Fri May 31 2019 Stasiek Michalski <hellcp@mailbox.org>
- Add metainfo (fate#319035)
- Revamp spec
- Replace GenericName with Comment
- 4.2.0
* Tue Feb 26 2019 José Iván López González <jlopez@suse.com>
- Version bump (bsc#1124009)
- 4.1.0
* Sun Nov 25 2018 Noah Davis <noahadvs@gmail.com>
- Provide icon with module (boo#1109310)
- 4.0.3
* Tue Oct 16 2018 schubi@suse.de
- Added license file to spec.
* Fri Aug 17 2018 schubi@suse.de
- Switched license in spec file from SPDX2 to SPDX3 format.
* Tue Jun 26 2018 schubi@suse.de
- Added additional searchkeys to desktop file (fate#321043).
- 4.0.2
* Mon Mar 12 2018 knut.anderssen@suse.com
- Use firewalld terminal server service definition (bsc#1079133).
- 4.0.1
* Mon Feb  5 2018 knut.anderssen@suse.com
- Replace SuSEFirewall2 by firewalld (fate#323460)
- 4.0.0
* Thu Aug  4 2016 hguo@suse.com
- Remove unnecessary files from source archive and fix build errors.
- Fix firewall setup and rdp service activation for an installed
  system. (bsc#988353 bsc#991238 bsc#988200)
- Other tidy-ups around spec file and source code.
* Wed Jul 13 2016 varkoly@suse.com
- FATE#320363 Install and enable xrdp by default
  When using the rdp proposal activate is the default.
* Tue Jun 21 2016 varkoly@suse.com
- FATE#320363 Install and enable xrdp by default
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
* Thu Sep 19 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Thu Mar  8 2012 tiwai@suse.com
- Fixed module behavior when installation of requested packages
  fails (bnc #744100)
- 2.17.2
* Mon Jan 18 2010 mzugec@suse.cz
- fixed rdp.desktop file (Categories)
- 2.17.1
* Mon Jan 26 2009 dreveman@novell.com
- initial version
